Subject: Re: [PATCH 00/10] mscc: ocelot: add support for SerDes muxing configuration

From: Andrew Lunn <[email-masked]>
Date: Mon, 30 Jul 2018 15:24:41 +0200

> The SerDes configuration is in the middle of an address space (HSIO) that
> is used to configure some parts in the MAC controller driver, that is why
> we need to use a syscon so that we can write to the same address space from
> different drivers safely using regmap.

Hi Quentin

I assume breaking backwards compatibility is not an issue here, since
there currently is only one board using the DT binding. But it would
be good to give a warning in the cover notes. git bisect will also
break for this one particular board. And since these changes are going
through different trees, it could be quite a big break.

	Andrew